def is_medical_query(message: str) -> bool:
    """
    Check if the user message contains medical keywords. This function is case-insensitive.

    :param message: The user message or any string to check.
    :return: True if the message contains medical keywords, False otherwise.
    """
    medical_keywords = [
        "health",
        "doctor",
        "medicine",
        "disease",
        "symptom",
        "treatment",
        "salute",
        "medico",
        "malattia",
        "sintomo",
        "cura",
        "sanità",
        "santé",
        "médecin",
        "médicament",
        "maladie",
        "symptôme",
        "traitement",
        "gesundheit",
        "arzt",
        "medizin",
        "krankheit",
        "symptom",
        "behandlung",
    ]

    message_lower = message.lower()
    return any(keyword in message_lower for keyword in medical_keywords)
