from typing import List, Optional, Literal
from pydantic import BaseModel, Field

class ChatMessage(BaseModel):
    role: Literal["user", "coach"]
    content: str

class ChatRequest(BaseModel):
    messages: List[ChatMessage]
    language: str = "auto"
    temperature: float = 0.7
    reasoning: bool = False
    stream: bool = True
    personality: str = "supportive"